# Uses of Interface
org.eclipse.emf.cdo.security.FilterPermission

Packages that use FilterPermission
Package
Description
org.eclipse.emf.cdo.lm.security.provider
The generated EMF edit support of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of FilterPermission in org.eclipse.emf.cdo.lm.security.provider

Methods in org.eclipse.emf.cdo.lm.security.provider with parameters of type FilterPermission
Modifier and Type
Method
Description
`Object`
LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch.`caseFilterPermission(FilterPermission object)`

## Uses of FilterPermission in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return FilterPermission
Modifier and Type
Method
Description
`FilterPermission`
SecurityFactory.`createFilterPermission()`
Returns a new object of class 'Filter Permission'.
`FilterPermission`
SecurityFactory.`createFilterPermission(Access access, PermissionFilter... filters)`

## Uses of FilterPermission in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement FilterPermission
Modifier and Type
Class
Description
`class`
`FilterPermissionImpl`
An implementation of the model object 'Filter Permission'.
Methods in org.eclipse.emf.cdo.security.impl that return FilterPermission
Modifier and Type
Method
Description
`FilterPermission`
SecurityFactoryImpl.`createFilterPermission()`
`FilterPermission`
SecurityFactoryImpl.`createFilterPermission(Access access, PermissionFilter... filters)`

## Uses of FilterPermission in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type FilterPermission
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseFilterPermission(FilterPermission object)`
Returns the result of interpreting the object as an instance of 'Filter Permission'.
`boolean`
SecurityValidator.`validateFilterPermission(FilterPermission filterPermission, DiagnosticChain diagnostics, Map<Object,Object> context)`